Foxit PDF Conversion SDK

Public Member Functions | List of all members
CFX_ArchiveLoader Class Reference
FXCRT

Inherits CFX_Object.

## Public Member Functions
| CFX_ArchiveLoader (FX_LPCBYTE pData, FX_DWORD dwSize)
| Construct a loading archive. More...
FX_BOOL | IsEOF ()
| Check whether de-serializing is to the end of the loading buffer. More...
CFX_ArchiveLoader & | operator >> (FX_BYTE &i)
| Right shifts(>>) operator overload. De-serialize a byte. More...
CFX_ArchiveLoader & | operator >> (FX_BOOL &i)
| Right shifts(>>) operator overload. De-serialize a bool. More...
CFX_ArchiveLoader & | operator >> (int &i)
| Right shifts(>>) operator overload. De-serialize a integer. More...
CFX_ArchiveLoader & | operator >> (FX_INT64 &i)
| Right shifts(>>) operator overload. De-serialize a integer. More...
CFX_ArchiveLoader & | operator >> (FX_DWORD &i)
| Right shifts(>>) operator overload. De-serialize a FX_DWORD. More...
CFX_ArchiveLoader & | operator >> (FX_FLOAT &i)
| Right shifts(>>) operator overload. De-serialize a floating-point. More...
CFX_ArchiveLoader & | operator >> (double &i)
| Right shifts(>>) operator overload. De-serialize a double. More...
CFX_ArchiveLoader & | operator >> (CFX_ByteString &bstr)
| Right shifts(>>) operator overload. De-serialize a byte string. More...
CFX_ArchiveLoader & | operator >> (CFX_WideString &wstr)
| Right shifts(>>) operator overload. De-serialize a wide string. More...
FX_BOOL | Read (void *pBuf, FX_DWORD dwSize)
| De-serialize a memory block. More...

## Detailed Description

Archive loader.

## Constructor & Destructor Documentation

## ◆ CFX_ArchiveLoader()

CFX_ArchiveLoader::CFX_ArchiveLoader | ( | FX_LPCBYTE | pData,
|  | FX_DWORD | dwSize
| ) |  |

Construct a loading archive.

The source data buffer must be valid during de-serialization.

Parameters

  [in] | pData | The source data buffer to be de-serialized.
  [in] | dwSize | The length in bytes of the source data buffer.

## Member Function Documentation

## ◆ IsEOF()

FX_BOOL CFX_ArchiveLoader::IsEOF | ( |  | ) |

Check whether de-serializing is to the end of the loading buffer.

Returns
  true means to the end, and false means not yet.

## ◆ operator >>() [1/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | FX_BYTE & | i | ) |

Right shifts(>>) operator overload. De-serialize a byte.

Parameters

  [out] | i | A reference to an byte to receive the byte value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [2/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | FX_BOOL & | i | ) |

Right shifts(>>) operator overload. De-serialize a bool.

Parameters

  [out] | i | A reference to an bool to receive the bool value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [3/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | int & | i | ) |

Right shifts(>>) operator overload. De-serialize a integer.

Parameters

  [out] | i | A reference to an integer to receive the integer value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [4/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | FX_INT64 & | i | ) |

Right shifts(>>) operator overload. De-serialize a integer.

Parameters

  [out] | i | A reference to an integer to receive the integer value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [5/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | FX_DWORD & | i | ) |

Right shifts(>>) operator overload. De-serialize a FX_DWORD.

Parameters

  [out] | i | A reference to an FX_DWORD to receive the FX_DWORD value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [6/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | FX_FLOAT & | i | ) |

Right shifts(>>) operator overload. De-serialize a floating-point.

Parameters

  [out] | i | A reference to an floating-point to receive the floating-point value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [7/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | double & | i | ) |

Right shifts(>>) operator overload. De-serialize a double.

Parameters

  [out] | i | A reference to an double to receive the double value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [8/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | CFX_ByteString & | bstr | ) |

Right shifts(>>) operator overload. De-serialize a byte string.

Parameters

  [out] | bstr | A reference to an byte string to receive the byte string value.

Returns
  A reference to the archive loader.

## ◆ operator >>() [9/9]

CFX_ArchiveLoader& CFX_ArchiveLoader::operator >> | ( | CFX_WideString & | wstr | ) |

Right shifts(>>) operator overload. De-serialize a wide string.

Parameters

  [out] | wstr | A reference to an wide string to receive the wide string value.

Returns
  A reference to the archive loader.

## ◆ Read()

FX_BOOL CFX_ArchiveLoader::Read | ( | void * | pBuf,
|  | FX_DWORD | dwSize
| ) |  |

De-serialize a memory block.

Parameters

  [in,out] | pBuf | A memory block pointer to receive the data.
  [in] | dwSize | The size in bytes of the memory block.

Returns
  TRUE means success, while FALSE means failure.